Lavalite package that provides experiment_consulting_and_design_service management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `rachel/experiment_consulting_and_design_service`.

    "rachel/experiment_consulting_and_design_service": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Rachel\ExperimentConsultingAndDesignService\Providers\ExperimentConsultingAndDesignServiceServiceProvider::class,

And also add it to alias

    'ExperimentConsultingAndDesignService'  => Rachel\ExperimentConsultingAndDesignService\Facades\ExperimentConsultingAndDesignService::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Rachel\\ExperimentConsultingAndDesignService\\Seeders\\ExperimentConsultingAndDesignServiceTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Rachel\ExperimentConsultingAndDesignService\Providers\ExperimentConsultingAndDesignServiceServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Rachel\ExperimentConsultingAndDesignService\Providers\ExperimentConsultingAndDesignServiceServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Rachel\ExperimentConsultingAndDesignService\Providers\ExperimentConsultingAndDesignServiceServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/experiment_consulting_and_design_service/{modulename}

**User**

    http://path-to-route-folder/user/experiment_consulting_and_design_service/{modulename}

**Public**

    http://path-to-route-folder/experiment_consulting_and_design_services


### API endpoints

**List**

    http://path-to-route-folder/api/user/experiment_consulting_and_design_service/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/experiment_consulting_and_design_service/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/experiment_consulting_and_design_service/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/experiment_consulting_and_design_service/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/experiment_consulting_and_design_service/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/experiment_consulting_and_design_service/{modulename}/{slug}
    METHOD: GET